Bug 1167368 - [abrt] pcmanfm-qt4: fm_mime_type_ref(): pcmanfm-qt4 killed by SIGSEGV
Summary: [abrt] pcmanfm-qt4: fm_mime_type_ref(): pcmanfm-qt4 killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcmanfm-qt
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0d7f4785d4b08d50bd953488baa...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-24 14:49 UTC by ken
Modified: 2015-06-10 19:14 UTC (History)
3 users (show)

Fixed In Version: pcmanfm-1.2.3-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-10 19:13:12 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (37.37 KB, text/plain)
2014-11-24 14:49 UTC, ken
no flags Details
File: cgroup (180 bytes, text/plain)
2014-11-24 14:49 UTC, ken
no flags Details
File: core_backtrace (10.27 KB, text/plain)
2014-11-24 14:49 UTC, ken
no flags Details
File: dso_list (17.08 KB, text/plain)
2014-11-24 14:49 UTC, ken
no flags Details
File: environ (1.49 KB, text/plain)
2014-11-24 14:49 UTC, ken
no flags Details
File: exploitable (82 bytes, text/plain)
2014-11-24 14:49 UTC, ken
no flags Details
File: limits (1.29 KB, text/plain)
2014-11-24 14:49 UTC, ken
no flags Details
File: maps (80.89 KB, text/plain)
2014-11-24 14:49 UTC, ken
no flags Details
File: open_fds (1.78 KB, text/plain)
2014-11-24 14:49 UTC, ken
no flags Details
File: proc_pid_status (963 bytes, text/plain)
2014-11-24 14:49 UTC, ken
no flags Details
File: var_log_messages (525 bytes, text/plain)
2014-11-24 14:49 UTC, ken
no flags Details

Description ken 2014-11-24 14:49:31 UTC
Version-Release number of selected component:
pcmanfm-qt4-0.8.0-2.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        pcmanfm-qt4
crash_function: fm_mime_type_ref
executable:     /usr/bin/pcmanfm-qt4
kernel:         3.17.2-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 fm_mime_type_ref at base/fm-mime-type.c:326
 #1 _fm_template_guess_mime_type at base/fm-templates.c:160
 #2 _fm_template_find_for_file at base/fm-templates.c:291
 #3 on_dir_changed at base/fm-templates.c:657
 #4 ffi_call_unix64 at ../src/x86/unix64.S:76
 #5 ffi_call at ../src/x86/ffi64.c:522
 #6 g_cclosure_marshal_generic_va at gclosure.c:1550
 #7 _g_closure_invoke_va at gclosure.c:840
 #10 emit_cb at gfilemonitor.c:392
 #14 g_main_context_iteration at gmain.c:3774

Comment 1 ken 2014-11-24 14:49:34 UTC
Created attachment 960810 [details]
File: backtrace

Comment 2 ken 2014-11-24 14:49:35 UTC
Created attachment 960811 [details]
File: cgroup

Comment 3 ken 2014-11-24 14:49:36 UTC
Created attachment 960812 [details]
File: core_backtrace

Comment 4 ken 2014-11-24 14:49:37 UTC
Created attachment 960813 [details]
File: dso_list

Comment 5 ken 2014-11-24 14:49:38 UTC
Created attachment 960814 [details]
File: environ

Comment 6 ken 2014-11-24 14:49:38 UTC
Created attachment 960815 [details]
File: exploitable

Comment 7 ken 2014-11-24 14:49:39 UTC
Created attachment 960816 [details]
File: limits

Comment 8 ken 2014-11-24 14:49:41 UTC
Created attachment 960817 [details]
File: maps

Comment 9 ken 2014-11-24 14:49:42 UTC
Created attachment 960818 [details]
File: open_fds

Comment 10 ken 2014-11-24 14:49:43 UTC
Created attachment 960819 [details]
File: proc_pid_status

Comment 11 ken 2014-11-24 14:49:44 UTC
Created attachment 960820 [details]
File: var_log_messages

Comment 12 Fedora Update System 2015-05-21 16:12:22 UTC
libfm-1.2.3-4.D20150521git577806e29d.fc22,pcmanfm-1.2.3-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libfm-1.2.3-4.D20150521git577806e29d.fc22,pcmanfm-1.2.3-2.fc22

Comment 13 Fedora Update System 2015-05-21 16:13:20 UTC
libfm-1.2.3-4.D20150521git577806e29d.fc21,pcmanfm-1.2.3-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libfm-1.2.3-4.D20150521git577806e29d.fc21,pcmanfm-1.2.3-2.fc21

Comment 14 Fedora Update System 2015-05-21 16:14:00 UTC
libfm-1.2.3-4.D20150521git577806e29d.fc20,pcmanfm-1.2.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libfm-1.2.3-4.D20150521git577806e29d.fc20,pcmanfm-1.2.3-2.fc20

Comment 15 Fedora Update System 2015-05-22 17:55:36 UTC
Package libfm-1.2.3-4.D20150521git577806e29d.fc20, pcmanfm-1.2.3-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libfm-1.2.3-4.D20150521git577806e29d.fc20 pcmanfm-1.2.3-2.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8709/libfm-1.2.3-4.D20150521git577806e29d.fc20,pcmanfm-1.2.3-2.fc20
then log in and leave karma (feedback).

Comment 16 Fedora End Of Life 2015-05-29 13:23:01 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora Update System 2015-06-10 19:12:43 UTC
libfm-1.2.3-5.D20150521git577806e29d.fc21, pcmanfm-1.2.3-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-06-10 19:13:12 UTC
pcmanfm-1.2.3-2.fc20, libfm-1.2.3-5.D20150521git577806e29d.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-06-10 19:14:15 UTC
pcmanfm-1.2.3-2.fc22, libfm-1.2.3-5.D20150521git577806e29d.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.